JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinNT.HRESULT

    java.lang.Object
      java.lang.Number
          com.sun.jna.IntegerType
              com.sun.jna.NativeLong
                  com.sun.jna.platform.win32.WinNT.HRESULT

All Implemented Interfaces:
  NativeMapped, Serializable

Enclosing interface:
  WinNT

    public static class WinNT.HRESULT

extends NativeLong

Return code used by interfaces. It is zero upon success and nonzero to represent an error code or status information.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.jna.NativeLong
`SIZE`

Constructor Summary
`WinNT.HRESULT()`
`WinNT.HRESULT(int value)`

Method Summary

Methods inherited from class com.sun.jna.IntegerType
`doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WinNT.HRESULT

    public WinNT.HRESULT()

### WinNT.HRESULT

    public WinNT.HRESULT(int value)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.